import { ActionFormData } from "@minecraft/server-ui"
import { Menu } from "./cheat_menu.js"

class MainMenu {
    ButtonMenu(player) {
        const form = new ActionFormData()
            .title("Admin Menu")
            .button("Cheat Menu")
            .button("Admin Options")

        form.show(player).then((data) => {
            if (data.canceled) return;
            // CHEAT MENU
            if (data.selection === 0) {
                Menu.AdminCheatMenu(player)
            }
            // ADMIN OPTIONS
            if (data.selection === 1) {
                Menu.AdminOptions(player)
            }
        })
    }
}
export const mMenu = new MainMenu