import { world } from "@minecraft/server"

world.afterEvents.entityHitEntity.subscribe((data) => {

    const player = data.damagingEntity
    const entity = data.hitEntity

    if (player.hasTag("killer")) {
        entity.applyDamage(1000)
    }
})

world.afterEvents.projectileHitEntity.subscribe((data) => {

    const player = data.source
    const entity = data.getEntityHit()

    if (player.hasTag("killer")) {
        entity.entity.applyDamage(1000)
    }
})